/*
 * Funambol is a mobile platform developed by Funambol, Inc.
 * Copyright (C) 2008 Funambol, Inc.
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License version 3 as published by
 * the Free Software Foundation with the addition of the following permission
 * added to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED
 * WORK IN WHICH THE COPYRIGHT IS OWNED BY FUNAMBOL, FUNAMBOL DISCLAIMS THE
 * WARRANTY OF NON INFRINGEMENT  OF THIRD PARTY RIGHTS.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program; if not, see http://www.gnu.org/licenses or write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301 USA.
 *
 * You can contact Funambol, Inc. headquarters at 643 Bair Island Road, Suite
 * 305, Redwood City, CA 94063, USA, or at email address info@funambol.com.
 *
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU Affero General Public License version 3.
 *
 * In accordance with Section 7(b) of the GNU Affero General Public License
 * version 3, these Appropriate Legal Notices must retain the display of the
 * "Powered by Funambol" logo. If the display of the logo is not reasonably
 * feasible for technical reasons, the Appropriate Legal Notices must display
 * the words "Powered by Funambol".
 */


#ifndef INCL_COMMON_DEFS
#define INCL_COMMON_DEFS


//
// --------------- Common Definitions: ----------------
//

/// Max number of chars for a popup message: 
/// please check all possible message size before changing this value!
#define MAX_POPUP_MESSAGE_SIZE          200

// Application error codes.
// System error codes are <0, we use codes >0.
#define ERR_PROFILE_NOT_FOUND           1
#define ERR_NETWORK_ERROR               2
#define ERR_CTP_NO_CONNECTION           3
#define ERR_BAD_INPUT_CREDENTIALS       4
#define ERR_SYNCML_GENERIC_FAILURE      5
#define ERR_READING_CONFIG              6
#define ERR_ACCOUNT_NOT_FOUND           7
#define ERR_AUTH_FAILED                 401
#define ERR_ACCOUNT_EXPIRED             402      // not used
#define ERR_ACCOUNT_NOT_ACTIVATED       403      // not used
#define ERR_SOURCE_NOT_FOUND            404
#define ERR_INVALID_CREDENTIALS         407
#define ERR_SERVER_BUSY                 417      // code 503 on WM
#define ERR_SERVICE_UNAVAILABLE         503      // code 2052 on WM
#define ERR_CONNECTING                  2001


// Application info codes.
#define INFO_SYNC_IN_PROGRESS           100
#define INFO_PUSH_WILL_BE_STOPPED       101
#define INFO_AUTOSTART_ENABLED          102


// IDs of source types
#define SOURCE_CONTACTS             0
#define SOURCE_CALENDAR             1
#define SOURCE_NOTES                2
#define SOURCE_MAIL                 3
#define SOURCE_BRIEFCASE            4
#define SOURCE_CONFIG               5

// Names of source types
#define SOURCE_CONTACTS_NAME        "contact"
#define SOURCE_CALENDAR_NAME        "calendar"
#define SOURCE_NOTES_NAME           "note"
#define SOURCE_MAIL_NAME            "mail"
#define SOURCE_BRIEFCASE_NAME       "briefcase"
#define SOURCE_CONFIG_NAME          "configuration"

#define APPLICATION_URI             "Funambol"

#define MAX_USERNAME_LEN            255
#define MAX_PASSWORD_LEN            255
#define MAX_SYNCURL_LEN             255

#define MAX_CONNECTION_RETRY_ASKING_USER    3   // Asked just before the config sync.


// Can we define these in API?
#define SYNC_NONE_TEXT                  "none"
#define SYNC_TWO_WAY_TEXT               "two-way"
#define SYNC_SLOW_TEXT                  "slow"
#define SYNC_ONE_WAY_FROM_CLIENT_TEXT   "one-way-client"
#define SYNC_ONE_WAY_FROM_SERVER_TEXT   "one-way-server"

#define CONTACTS_DATA_STORE_NAME        _L("C:Contacts.cdb")
#define CALENDAR_DATA_STORE_NAME        _L("C:Calendar")
#define NOTES_DATA_STORE_NAME           _L("c:Notepad.dat")


#endif /*INCL_COMMON_DEFS*/
