#include "utils.h"
#include "commonDefs.h"
#include "base/globalsdef.h"
#include "base/util/stringUtils.h"
#include "customization.h"
#include "base/util/utils.h"
#include "base/util/StringBuffer.h"

#include "extensions/TestFactoryRegistry.h"
#include "extensions/HelperMacros.h"

USE_NAMESPACE

class UtilsTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE(UtilsTest);
    CPPUNIT_TEST(testSourceIDFromName);
    CPPUNIT_TEST(testSourceNameFromID);
    CPPUNIT_TEST_SUITE_END();

private:
    void testSourceIDFromName() {
        CPPUNIT_ASSERT(getSourceIDFromName(SOURCE_CONTACTS_NAME) == SOURCE_CONTACTS);
        CPPUNIT_ASSERT(getSourceIDFromName(SOURCE_CALENDAR_NAME) == SOURCE_CALENDAR);
        CPPUNIT_ASSERT(getSourceIDFromName(SOURCE_NOTES_NAME) == SOURCE_NOTES);
        CPPUNIT_ASSERT(getSourceIDFromName(SOURCE_BRIEFCASE_NAME) == SOURCE_BRIEFCASE);
        CPPUNIT_ASSERT(getSourceIDFromName(SOURCE_CONFIG_NAME) == SOURCE_CONFIG);
    }   

    void testSourceNameFromID() {
        CPPUNIT_ASSERT(getSourceNameFromID(SOURCE_CONTACTS) == SOURCE_CONTACTS_NAME);
        CPPUNIT_ASSERT(getSourceNameFromID(SOURCE_CALENDAR) == SOURCE_CALENDAR_NAME);
        CPPUNIT_ASSERT(getSourceNameFromID(SOURCE_NOTES) == SOURCE_NOTES_NAME);
        CPPUNIT_ASSERT(getSourceNameFromID(SOURCE_BRIEFCASE) == SOURCE_BRIEFCASE_NAME);
        CPPUNIT_ASSERT(getSourceNameFromID(SOURCE_CONFIG) == SOURCE_CONFIG_NAME);
    } 
};

CPPUNIT_TEST_SUITE_REGISTRATION( UtilsTest );
